using System;
using System.Collections.Generic;

namespace ConsoleApp1 
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int m = int.Parse(Console.ReadLine());
            int[,] mat = new int[n, m];
            int[] gornja_red = new int[n];
            int[] gornja_kolona = new int[m];
            int[] donja_red = new int[n];
            int[] donja_kolona = new int[m];
            int[] zbir_po_redu = new int[n];
            int[] zbir_po_koloni = new int[n];
            for (int i = 0; i < n; i++)
            {
                donja_red[i] = int.Parse(Console.ReadLine());
                gornja_red[i] = int.Parse(Console.ReadLine());
            }
            for (int i = 0; i < m; i++)
            {
                donja_kolona[i] = int.Parse(Console.ReadLine());
                gornja_kolona[i] = int.Parse(Console.ReadLine());
            }
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < m; j++)
                {
                    if (zbir_po_redu[i] < gornja_red[i] && zbir_po_koloni[i] < gornja_kolona[i]) mat[i, j]++;
                    zbir_po_redu[i] += mat[i, j];
                    zbir_po_koloni[i] += mat[i, j];
                }
            }
            int p = 0;
            int q = 0;
            while (p < n)
            {
                while(q < m)
                {
                    if (zbir_po_redu[p] < gornja_red[p] && zbir_po_koloni[p] < gornja_kolona[p]) mat[p, q]++;
                    zbir_po_redu[p] += mat[p, q];
                    zbir_po_koloni[p] += mat[p, q];
                    if (zbir_po_koloni[p] == gornja_kolona[p]) break;
                    if (zbir_po_redu[p] == gornja_red[p]) break;
                    q++;
                }
                p++;
            }

            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < m; j++)
                {
                    Console.WriteLine(mat[i,j]);
                }
            }
        }
    }
}